/*
  Programmer....:  Michael Thomas thomasma@us.ibm.com

  Description...:  .js file that creates an Applet tag based on the OS and browser.
                   Platforms supported: Windows & MAC
                   Browsers  supported: IE & NS


*/

  var blnDebugTag = true;
  var strFileName    = "MyAppletWriteFile.xml";
  var strPathNameWin = "c:\\test\\ ";
  var strPathNameMac = "";

  objBrowserInfo = new BrowserInfo(navigator); //Writes HTML to page.
  
  if ( objBrowserInfo.strPlatform == "Win32" && objBrowserInfo.strNameAbbr == "NS" ) {

    if ( blnDebugTag ) alert ("Creating tags for Win32 & NS");

    strHtml = '';
    strHtml += '<applet code="MyAppletWriteFile.class" archive="MyAppletWriteFile.jar, MySecurity.jar" codebase="." width="1" height="1" name="MyAppletName"> ' + '\n';
    strHtml += '  <PARAM NAME = "code" VALUE ="MyAppletWriteFile.class"> ' + '\n';
    strHtml += '  <PARAM NAME = "codeBase" VALUE ="."> ' + '\n';
    strHtml += '  <PARAM NAME = "scriptable"      VALUE = "true"> ' + '\n';
    strHtml += '  <PARAM NAME = "debug"           VALUE = "true"> ' + '\n';
    strHtml += '  <PARAM NAME = "debugmsg"        VALUE = "Hello from an Applet."> ' + '\n';
    strHtml += '  <PARAM NAME = "debugproperties" VALUE = "false"> ' + '\n';
    strHtml += '  <PARAM NAME = "filename"        VALUE = "MyAppletWriteFile.xml"> ' + '\n';
    strHtml += '  <PARAM NAME = "pathname"        VALUE = "c:\\test\\"> ' + '\n';  <!-- Note: c:\\test\\ = c:\test\   -->
    strHtml += '  </applet> '  + '\n';

  } else if ( objBrowserInfo.strPlatform == "Win32" && objBrowserInfo.strNameAbbr == "IE"  ) {

    if ( blnDebugTag ) alert ("Creating tags for Win32 & IE");

    strHtml = '';
    strHtml += '<applet code="MyAppletWriteFile.class" archive="MySecurity.jar " codebase="." width="1" height="1" name="MyAppletName"> ' + '\n';
    strHtml += '  <PARAM NAME="cabbase" VALUE="MyAppletWriteFile.cab"> ' + '\n';
    strHtml += '  <PARAM NAME = "code" VALUE ="MyAppletWriteFile.class"> ' + '\n';
    strHtml += '  <PARAM NAME = "codeBase" VALUE ="."> ' + '\n';
    strHtml += '  <PARAM NAME = "scriptable"      VALUE = "true"> ' + '\n';
    strHtml += '  <PARAM NAME = "debug"           VALUE = "true"> ' + '\n';
    strHtml += '  <PARAM NAME = "debugmsg"        VALUE = "Hello from an Applet."> ' + '\n';
    strHtml += '  <PARAM NAME = "debugproperties" VALUE = "false"> ' + '\n';
    strHtml += '  <PARAM NAME = "filename"        VALUE = "MyAppletWriteFile.xml"> ' + '\n';
    strHtml += '  <PARAM NAME = "pathname"        VALUE = "c:\\test\\"> ' + '\n';  <!-- Note: c:\\test\\ = c:\test\   -->
    strHtml += '  </applet> '  + '\n';


  } else if ( objBrowserInfo.strPlatform == "MacPPC" && objBrowserInfo.strNameAbbr == "NS"  ) {

    if ( blnDebugTag ) alert ("Creating tags for MacPPC & NS");

    strHtml = '';
    strHtml += '<applet code="MyAppletWriteFile.class" archive="MyAppletWriteFile.jar, MySecurity.jar" codebase="." width="1" height="1" name="MyAppletName"> ' + '\n';
    strHtml += '  <PARAM NAME = "code" VALUE ="MyAppletWriteFile.class"> ' + '\n';
    strHtml += '  <PARAM NAME = "codeBase" VALUE ="."> ' + '\n';
    strHtml += '  <PARAM NAME = "scriptable"      VALUE = "true"> ' + '\n';
    strHtml += '  <PARAM NAME = "debug"           VALUE = "true"> ' + '\n';
    strHtml += '  <PARAM NAME = "debugmsg"        VALUE = "Hello from an Applet."> ' + '\n';
    strHtml += '  <PARAM NAME = "debugproperties" VALUE = "false"> ' + '\n';
    strHtml += '  <PARAM NAME = "filename"        VALUE = "MyAppletWriteFile.xml"> ' + '\n';
    strHtml += '  <PARAM NAME = "pathname"        VALUE = ""> ' + '\n';
    strHtml += '  </applet> '  + '\n';


  } else if ( objBrowserInfo.strPlatform == "MacPPC" && objBrowserInfo.strNameAbbr == "IE"  ) {

    if ( blnDebugTag ) alert ("Creating tags for MacPPC & IE");

    strHtml = '';
    strHtml += '<applet code="MyAppletWriteFileMac.class" archive="MyAppletWriteFileMacS.jar, MySecurity.jar" codebase="." width="1" height="1" name="MyAppletName"> ' + '\n';
    strHtml += '  <PARAM NAME = "code" VALUE ="MyAppletWriteFile.class"> ' + '\n';
    strHtml += '  <PARAM NAME = "codeBase" VALUE ="."> ' + '\n';
    strHtml += '  <PARAM NAME = "scriptable"      VALUE = "true"> ' + '\n';
    strHtml += '  <PARAM NAME = "debug"           VALUE = "true"> ' + '\n';
    strHtml += '  <PARAM NAME = "debugmsg"        VALUE = "Hello from an Applet."> ' + '\n';
    strHtml += '  <PARAM NAME = "debugproperties" VALUE = "false"> ' + '\n';
    strHtml += '  <PARAM NAME = "filename"        VALUE = "MyAppletWriteFile.xml"> ' + '\n';
    strHtml += '  <PARAM NAME = "pathname"        VALUE = ""> ' + '\n';
    strHtml += '</applet> '  + '\n';


  } else {
    
    alert("Error:  Platform not recognized: " + strPlatform + "\n" +
          "Please notify software vendor. \n" +
          "However, program will still attempt to load."); 

  }

  document.write( strHtml );
